'use strict';

const Controller = require('egg').Controller;

// 车辆基础信息统计分析模块
class CarBaseInfoController2 extends Controller {

  async index() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // // 调用 Service 进行业务处理
    const data = await ctx.getMix(payload, this.ctx.params.id);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  async stats() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // // 调用 Service 进行业务处理
    const data = await ctx.getMix(payload, this.ctx.params.id);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  async statsWithMode() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // // 调用 Service 进行业务处理
    const data = await ctx.getMix(payload, this.ctx.params.id);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  async dece() {
    const { ctx } = this;
    // 校验参数 组装参数
    // // 调用 Service 进行业务处理
    const data = await ctx.get3D(7, 10);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  async acce() {
    const { ctx } = this;
    // 校验参数 组装参数
    // // 调用 Service 进行业务处理
    const data = await ctx.get3D(7, 10);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  async as() {
    const { ctx } = this;
    // 校验参数 组装参数
    // // 调用 Service 进行业务处理
    const data = await ctx.get3D(7, 12);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  async count() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // // 调用 Service 进行业务处理
    const data = await ctx.getData(payload);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }


}

module.exports = CarBaseInfoController2;
