'use strict';

const Controller = require('egg').Controller;
// 娱乐信息统计分析管理
class IviBehaviorController extends Controller {

  // 娱乐信息  听歌20020000，听电台20010000，看新闻20050000，看视频 20030000
  async index() {
    const { ctx } = this;
    const payload = ctx.validate();
    // 调用 Service 进行业务处理
    const data = await ctx.getDataAdd(payload, {
      value: [ 'musicTotal', 'fwTotal', 'newsTotal', 'videoTotal','total' ] });
    // 设置响应内容和响应状态码
    ctx.success({ data });

  }

  async ext() {
    const { ctx } = this;
    const data = await ctx.getBehaviorExt();
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

}

module.exports = IviBehaviorController;
